- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gsmtpclient.h File Reference
`#include "gdef.h"`
`#include "gnet.h"`
`#include "gsmtp.h"`
`#include "gsecrets.h"`
`#include "glinebuffer.h"`
`#include "gclient.h"`
`#include "gclientprotocol.h"`
`#include "gmessagestore.h"`
`#include "gstoredmessage.h"`
`#include "gprocessor.h"`
`#include "gsocket.h"`
`#include "gslot.h"`
`#include "gtimer.h"`
`#include "gstrings.h"`
`#include "gexecutable.h"`
`#include "gexception.h"`
`#include <memory>`
`#include <iostream>`

Go to the source code of this file.

## Classes
class | GSmtp::Client
| A class which acts as an SMTP client, extracting messages from a message store and forwarding them to a remote SMTP server. More...
struct | GSmtp::Client::Config
| A structure containing GSmtp::Client configuration parameters. More...

## Namespaces
| GSmtp
| SMTP and message-store classes.